> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/create-inabit-wallet.md).

# Create inabit Wallet

## Generate an inabit Wallet

The CreateWalletWithInabit mutation allows API admins to create a new inabit wallet (that is accessible in the platform's interface, unlike API wallets) with a designated address for a given asset & blockchain.

> Remember to authenticate to call our GraphQL API using an access token (bearer) with your **API** **Admin** credentials. (If you're not sure how, refer to [Authentication](/api-reference/develop-with-inabit-api/getting-started/authentication.md))
>
> Don't have an API Admin user yet? contact us at <mark style="color:blue;"><support@inabit.com></mark> to create one!

```graphql
mutation CreateWalletWithInabit($data: WalletCreateWithInabitInput!) {
  createWalletWithInabit(data: $data) {
    id
    name
  }
}
```

### **Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

### **Body (**<mark style="color:orange;">WalletCreateWithInabitInput</mark> object)

| Name                                             | Type   | Description                      |
| ------------------------------------------------ | ------ | -------------------------------- |
| name<mark style="color:red;">\*</mark>           | string | Name of the wallet               |
| organizationId<mark style="color:red;">\*</mark> | string | ID of the organization in inabit |

Example body:

```graphql
{
  "data": {
    "name": "My Inabit Wallet",
    "organization": {
      "id": "clu6oj0kg0004r4ub98guo82u"
    }
  }
}
```

### Response

Return values:

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| id   | String | Created Wallet ID   |
| name | String | Created Wallet Name |

{% tabs %}
{% tab title="🟢 Success" %}

```graphql
{
  "data": {
    "createWalletWithInabit": {
      "id": "clvw5p0oj000er47qhe3atv9d",
      "name": "My Inabit Wallet",
    }
  }
}
```

{% endtab %}

{% tab title="🔴 Failure" %}

```graphql
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

In the mutation's response, you will receive the created API wallet ID including the associated blockchain address.

{% hint style="info" %}
Generating API wallet is different than this mutation of creating a regular inabit wallet. API wallets generation are wallets created that are blockchain & address specific, as well as aren't accessible via the platform's interface.

Unlike API wallets, inabit wallets created with this mutation can be accessed through the interface as well as have multiple blockchains and addresses generated.

Visit the [API Wallets Generation](/api-reference/remote-approver-app/api-wallets-generation.md) section to learn more.
{% endhint %}

### Try it out!

{% embed url="<https://studio.apollographql.com/sandbox/explorer?endpoint=https%3A%2F%2Fapi.inabit.app%2Fgraphql&explorerURLState=N4IgJg9gxgrgtgUwHYBcQC4RxighigSwiQAIBhAJwXwQHVcAbBhFWglACwEklcAjdgAoAJGHy50JekxaVqKOu268BKHgAccAQgCUJYAB1SJKFRrTmrJT35CxeSaPF7DxkiQJgj7970TeSAF8jQJBAoA>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/create-inabit-wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
